mca_find_unused_adapter
Prev | Chapter 3. Public Functions Provided | Next

## Name

mca_find_unused_adapter — scan for unused adapters

## Synopsis

`int mca_find_unused_adapter (` | int | id,
| int | start`)`;

## Arguments

`id`

  MCA identification to search for

`start`

  starting slot

## Description

Search the MCA configuration for adapters matching the 16bit ID given. The first time it should be called with start as zero and then further calls made passing the return value of the previous call until `MCA_NOTFOUND` is returned.

Adapters that have been claimed by drivers and those that are disabled are not reported. This function thus allows a driver to scan for further cards when some may already be driven.

Prev | Up | Next
mca_find_adapter | Home | mca_read_stored_pos